Skip to main content
GET
/
v1
/
webhooks
List webhooks
curl --request GET \
  --url https://api.eachlabs.ai/v1/webhooks \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.eachlabs.ai/v1/webhooks"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.eachlabs.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "webhooks": [
    {
      "url": "https://api.example.com/webhook",
      "request": "{\"event\":\"prediction.completed\"}",
      "source": "api-gateway",
      "created_at": "2025-12-14T10:30:00Z",
      "execution_id": "abc123-def456-ghi789",
      "headers": {
        "Content-Type": "application/json"
      }
    }
  ],
  "limit": 50,
  "offset": 0,
  "total_count": 123
}
{
"error": "Invalid or missing API key"
}
{
"error": "Failed to fetch models: internal error"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

limit
integer
default:50

Maximum number of webhooks to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of webhooks to skip for pagination

Required range: x >= 0

Response

List of webhooks

webhooks
object[]
required
limit
integer
required

Applied limit

Example:

50

offset
integer
required

Applied offset

Example:

0

total_count
integer
required

Total number of matching webhooks

Example:

123

Last modified on June 17, 2026